' ********************************************************************************
' *
' * Report telescope RA and Dec in TheSkyX with Orchestrate
' *

Dim objTele
Dim Msg
Const ForWriting = 2
Dim fso
Dim MyFile

'Create the telescope object
Set objTele = WScript.CreateObject("TheSkyXAdaptor.RASCOMTele.1")

'Connect to the telescope
objTele.Connect()

'See if connection failed
if (objTele.IsConnected = 0) then
	MsgBox("Connection failed.")
	WScript.Quit
end if

'Get the current telescope RA and Dec
objTele.GetRaDec()
Msg = "RA = " + CStr(objTele.dRa) + ", Dec = " + CStr(objTele.dDec)

'Uncomment for console message
'MsgBox(Msg)

'Open file, write the current coordinates, close file
Set fso = CreateObject("Scripting.FileSystemObject")
Set MyFile = fso.OpenTextFile("z:\out\telradec.txt", ForWriting, True)
MyFile.WriteLine Msg
MyFile.Close
Set MyFile = Nothing

'Disconnect the telscope
objTele.Disconnect()
Set objTele = Nothing

