MOTIFI = /usr/include
MOTIFL = /usr/lib

CC = gcc
CFLAGS = $(LIBINC) $(CLDFLAGS) -O2 -Wall -I$(MOTIFI) -I/usr/X11R6/include/X11
LDFLAGS = $(LIBLNK) $(CLDFLAGS) -L$(MOTIFL) -L/usr/X11R6/lib
XLIBS = -lXm -lXp -lXt -lXext -lSM -lICE -lXmu -lX11
LIBS = $(XLIBS) -lm


INCS =	protocol.h

OBJS =			\
	pointing.o	\
	protocol.o	\
	algorithms.o	\
	xmtel1.o

all:	xmtel1 

xmtel1: $(INCS) $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm -fr *.o xmtel1
