Option Explicit

Dim Cam

Function GetOrchLastError()
	Dim LE
	Set LE = CreateObject("Orch.LastError")
	GetOrchLastError = LE.LastError()
	Set LE = Nothing
End Function

Function SetOrchLastError(dVal)
	Dim LE
	Set LE = CreateObject("Orch.LastError")
	LE.LastError = dVal
	Set LE = Nothing
End Function

Sub ErrorCheck
	Dim LE 

	if (Err.Number) then
		SetOrchLastError(Err.Number)
	end if

	LE = GetOrchLastError 
	if (LE) then
		WScript.Quit(LE)
	end if
End Sub


Sub Main
	On Error Resume Next

	Set Cam = CreateObject("CCDSoft.Camera")
	ErrorCheck

	Cam.Connect
	ErrorCheck
	
	Cam.Asynchronous = 0
	ErrorCheck

	Cam.PropLng("m_mAtFocus2") = 1
	ErrorCheck

End Sub

Main


