' Windows Script Host Sample Script
'
' ------------------------------------------------------------------------
'               Copyright (C) Software Bisque
'
' ------------------------------------------------------------------------
L_Welcome_MsgBox_Message_Text    = "This script demonstrates how to display text in the Modeless Window."
L_Welcome_MsgBox_Title_Text      = "Windows Scripting Host Sample"
Call Welcome()
    
' ********************************************************************************
' *
' * Sample
' *
Dim objWnd
Dim Msg
Dim i 
Dim Text

'Create the modeless window
Set objWnd = WScript.CreateObject("VBUtils.ModelessWnd.1")

'Show the modeless window
objWnd.Create()

objWnd.SetCaption("Modeless Window Demo")

'Show how to access each line
for i=1 to 10
	Text = "This is Line " + CStr(i)
	Call objWnd.SetText(i,Text)
	objWnd.Sleep(1)
next 

'Show how to clear each line
for i=1 to 10
	Call objWnd.SetText(i,"")
next 

Call objWnd.SetText(5,"Bye!")
objWnd.Sleep(3)

'You must explictily destroy the modeless window
objWnd.Destroy()


' ********************************************************************************
' *
' * Welcome
' *
Sub Welcome()
    Dim intDoIt

    intDoIt =  MsgBox(L_Welcome_MsgBox_Message_Text, _
                      vbOKCancel + vbInformation,    _
                      L_Welcome_MsgBox_Title_Text )
    If intDoIt = vbCancel Then
        WScript.Quit
    End If
End Sub

