' ***************************************************************************
' *
' * Report telescope status with RA and Dec from the TheSkyX with Orchestrate
' *

Dim objTele
Dim Msg
Const ForWriting = 2
Dim fso
Dim MyFile

'Create the telescope object
Set objTele = WScript.CreateObject("TheSkyXAdaptor.RASCOMTele.1")

'Connect to the telescope
objTele.Connect()

'If connection failed write status as 0 and null RA and Dec
if (objTele.IsConnected = 0) then
  Msg = " 0" + CStr(objTele.dRa) + " " + CStr(objTele.dDec)
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set MyFile = fso.OpenTextFile("z:\out\telstatus", ForWriting, True)
  MyFile.WriteLine Msg
  MyFile.Close
  Set MyFile = Nothing
  Set objTele = Nothing  
  WScript.Quit
end if

'Get the current telescope RA and Dec
objTele.GetRaDec()
Msg = " 1" + CStr(objTele.dRa) + " " + CStr(objTele.dDec)
Set fso = CreateObject("Scripting.FileSystemObject")
Set MyFile = fso.OpenTextFile("z:\out\telcoords", ForWriting, True)
MyFile.WriteLine Msg

'Close the file handler
MyFile.Close
Set MyFile = Nothing

'Close the telescope connection
objTele.Disconnect()
Set objTele = Nothing

